petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGetSize

Returns the global number of elements of the vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetSize(Vec x,PetscInt *size)

Not Collective Many br

### Input Parameter

x -the vector Many br

### Output Parameters

size -the global length of the vector Many br

Many br

### See Also

VecGetLocalSize()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex7.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex2f.F.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex59.c.html
src/ts/examples/tutorials/ex9.c.html